Overview | Package | Class | Use | Tree | Serialized | Deprecated | Index | Help
| ABLE 2.3.0 07/13/2005 14:21:00
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.ibm.able
Interface AbleEventListenerRemoteManager

All Superinterfaces:
  java.rmi.Remote

All Known Subinterfaces:
  AblePlatformAgent, AbleRemoteAgent, AbleRemoteBean, AbleRemoteDataSink, AbleRemoteDataSource, AutotuneAgentIf, JasKnnDistributedAgentIF, JasNaiveBayesDistributedAgentIF

All Known Implementing Classes:
  AblePlatformDefaultAgent, AbleRemoteDefaultAgent, AbleRemoteObject, AutotuneAgent, JasKnnDistributedAgent, JasNaiveBayesDistributedAgent

public interface AbleEventListenerRemoteManager
extends java.rmi.Remote

The AbleEventListenerRemoteManager interface provides the methods needed by an AbleRemoteBean to add and remove AbleEventListener objects and to notify those listeners of an AbleEvent.

Method Summary
`void` | `addAbleEventListener(AbleEventListener theListener)` Adds an event listener to this bean.
`void` | `notifyAbleEventListeners(AbleEvent theEvent)` Notify all registered listeners by sending the specified event.
`void` | `removeAbleEventListener(AbleEventListener theListener)` Remove an event listener from this bean.

Method Detail

### addAbleEventListener

    public void addAbleEventListener(AbleEventListener theListener)
                              throws java.rmi.RemoteException

  Adds an event listener to this bean.

  Parameters:
    `theListener` - An object interested in this bean.
  Throws:
    `java.rmi.RemoteException` - If an error occurs.

### removeAbleEventListener

    public void removeAbleEventListener(AbleEventListener theListener)
                                 throws java.rmi.RemoteException

  Remove an event listener from this bean.

  Parameters:
    `theListener` - The object no longer interested in this bean.
  Throws:
    `java.rmi.RemoteException` - If an error occurs.

### notifyAbleEventListeners

    public void notifyAbleEventListeners(AbleEvent theEvent)
                                  throws java.rmi.RemoteException

  Notify all registered listeners by sending the specified event.

  Parameters:
    `theEvent` - The AbleEvent to be broadcast to all listeners.
  Throws:
    `java.rmi.RemoteException` - If an error occurs.

Overview | Package | Class | Use | Tree | Serialized | Deprecated | Index | Help
| ABLE 2.3.0 07/13/2005 14:21:00
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

(C) Copyright IBM Corporation 1999, 2005